
Redmine - Defect #24999

Mercurial 4.1 compatibility

2017-02-05 01:23 - Adrian Klaver

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 3.2.6   

Resolution: Fixed Affected version:  

Description

Environment:

Redmine version                3.2.4.stable

Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

Rails version                  4.2.7.1

Environment                    production

Database adapter               PostgreSQL

SCM:

Mercurial                      4.1

Git                            1.9.1

Filesystem

Redmine plugins:

no plugin installed

OS Ubuntu server 14.04.5 LTS

Mercurial 4.1 from either Ubuntu repo's or PyPi.

Moving to Mercurial 4.1 and opening a repo results in:

"The entry or revision was not found in the repository."

and a log entry of:

"Started GET "/projects/hplc/repository" for 174.21.203.58 at 2017-02-03 08:59:47 -0800

Processing by RepositoriesController#show as HTML

Parameters: {"id"=>"hplc"}

Current user: aklaver (id=3)

hg: error during getting info: hg exited with non-zero status: 1

Rendered common/error.html.erb within layouts/base (0.3ms)

Completed 404 Not Found in 574ms (Views: 60.9ms | ActiveRecord: 206.4ms)

"

Restarting the Redmine server does not help.

The only thing that works is rolling back to Mercurial 4.0.2.

Associated revisions

Revision 16329 - 2017-02-05 06:22 - Toshi MARUYAMA

Mercurial 4.1 compatibility (#24999)

Revision 16330 - 2017-02-05 06:53 - Toshi MARUYAMA

Merged r16329 from trunk to 3.3-stable (#24999)

Mercurial 4.1 compatibility.

Revision 16331 - 2017-02-05 06:55 - Toshi MARUYAMA

Merged r16329 from trunk to 3.2-stable (#24999)

Mercurial 4.1 compatibility.

History
#1 - 2017-02-05 04:56 - Toshi MARUYAMA

- Subject changed from Redmine 3.2.4 problem with Mercurial 4.1 to Mercurial 4.1

- Category set to SCM

- Status changed from New to Confirmed

#2 - 2017-02-05 05:38 - Toshi MARUYAMA

- Subject changed from Mercurial 4.1 to Mercurial 4.1 compatibility

#3 - 2017-02-05 05:42 - Toshi MARUYAMA

https://bz.mercurial-scm.org/show_bug.cgi?id=5137

https://www.mercurial-scm.org/repo/hg/rev/38dc3f28f478

#4 - 2017-02-05 06:22 - Toshi MARUYAMA

- Target version set to 3.2.6

#5 - 2017-02-05 12:53 - Toshi MARUYAMA

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Committed in trunk, 3.3-stable, and 3.2-stable.

#6 - 2017-02-05 18:23 - Adrian Klaver

Can confirm the changes work on my installation as well. Thanks for the assistance and the very quick turn around.
